Name: dhcpcd
Version: 3.0.17
Release: alt2.M40.1

Summary: DHCP Client Daemon
License: GPL
Group: System/Servers

Url: http://developer.berlios.de/projects/dhcpcd/
Source: %name-%version.tar
Patch1: %name-3.0.17-alt-script.patch
Patch2: %name-3.0.17-alt-services.patch
Patch3: %name-3.0.17-alt-compatibility.patch
Patch4: %name-3.0.17-alt-backport-3.1.0.patch
Packager: Stanislav Ievlev <inger@altlinux.org>

%description
dhcpcd is an implementation of the DHCP client specified in RFC2131.

It  gets  the host information (IP address, netmask, broadcast address, etc.) 
from a DHCP server and configures the network  interface  of  the machine  on  
which it is running. It also tries to renew the lease time according to RFC2131.
		      

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%make_build CFLAGS="$RPM_OPT_FLAGS"

%install
%make install DESTDIR=%buildroot

install -d %buildroot%_localstatedir/%name
install -pD -m700 %name.sh %buildroot/%_sysconfdir/%name.sh

%files
%config(noreplace) %_sysconfdir/%name.sh
/sbin/*
%_man8dir/*
%dir %_localstatedir/%name
%doc ChangeLog

%changelog
* Thu Mar 06 2008 Michael Shigorin <mike@altlinux.org> 3.0.17-alt2.M40.1
- built for M40 (reportedly good enough and tested, see #14643)
- spec cleanup

* Mon May 21 2007 Stanislav Ievlev <inger@altlinux.org> 3.0.17-alt3
- fix -H option (backport from 3.1.0 with fixes)

* Mon May 14 2007 Stanislav Ievlev <inger@altlinux.org> 3.0.17-alt2
- ignore -D option (for backward compatibility with previous installations)

* Tue May 08 2007 Stanislav Ievlev <inger@altlinux.org> 3.0.17-alt1
- 3.0.17

* Mon Apr 16 2007 ALT QA Team Robot <qa-robot@altlinux.org> 1.3.22pl4-alt3.0
- Automated rebuild.

* Thu Apr 21 2005 Denis Ovsienko <pilot@altlinux.ru> 1.3.22pl4-alt3
- improved alt-config patch to fix #6133

* Thu Jul 01 2004 Dmitry V. Levin <ldv@altlinux.org> 1.3.22pl4-alt2
- %_sysconfdir/dhcpc/%name.exe:
  + added wlan* interface support (#4348);
  + minor fixes (#4158).

* Mon Oct 20 2003 Dmitry V. Levin <ldv@altlinux.org> 1.3.22pl4-alt1
- Updated to 1.3.22pl4, rediffed patches.
- Install %_sysconfdir/dhcpc/%name.exe by default;
  Patch %_sysconfdir/dhcpc/%name.exe to run update_chrooted.
  (should address #2406).

* Fri Nov 15 2002 Dmitry V. Levin <ldv@altlinux.org> 1.3.22pl3-alt1
- 1.3.22pl3.

* Thu Jul 11 2002 Dmitry V. Levin <ldv@altlinux.org> 1.3.22pl1-alt1
- 1.3.22pl1.
- Fixed ntp driftfile location.
- Avoid false config files renaming.
- Added PidDir option support, /var/run by default (mdk).

* Mon Nov 05 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.3.21pl1-alt1
- 1.3.21pl1.
- Removed patch0 - now it's outdated

* Sun Feb 25 2001 Dmitry V. Levin <ldv@fandra.org> 1.3.19pl7-ipl1mdk
- 1.3.19pl7.

* Wed Jan 17 2001 Dmitry V. Levin <ldv@fandra.org> 1.3.19pl6-ipl1mdk
- RE adaptions.
- Feature: execute scripts on interface up/down.

* Thu Dec 21 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.3.19pl4-1mdk
- new and shiny source.

* Thu Oct 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.3.19pl1-2mdk
- Add patch for gcc2.96(rh).

* Tue Aug 08 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.3.19pl1-1mdk
- rebuild to use _sysconfdir
- s|1.3.18pl5|1.3.19pl1|

* Fri Jul 28 2000 Vincent Saugey <vince@mandrakesoft.com> 1.3.18pl5-3mdk
- BM, macros

* Tue Apr 18 2000 Vincent Saugey <vince@mandrakesoft.com> 1.3.18pl5-2mdk
- Add patch for dynamic build
- remove bzip and strip file

* Fri Mar 31 2000 Vincent Saugey <vince@mandrakesoft.com> 1.3.18pl5-1mdk
- Correct group
- Update to 1.3.18-pl5

* Sun Nov  7 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.3.18-pl3
- add /etc/dhcpc

* Sun Jul 18 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- 1.3.17pl9

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Mon Apr 19 1999 Bill Nottingham <notting@redhat.com>
- build for 6.0

* Wed Dec 23 1998 Jeff Johnson <jbj@redhat.com>
- mark default route up.

* Sun Jun  7 1998 Jeff Johnson <jbj@redhat.com>
- Fix packet alignment problems on sparc.
- build root.

* Mon Jun 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Wed May  6 1998 Alan Cox
- fixed some potential buffer exploits reported by Chris Evans

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Sun Oct 19 1997 Erik Troan <ewt@redhat.com>
- spec file cleanups

* Tue Jul 08 1997 Erik Troan <ewt@redhat.com>
- built against glibc, updated to 0.65

* Mon Apr 21 1997 Otto Hammersmith <otto@redhat.com>
- fixed summary line... was a summary for tar.
